Skip to content
Find file
Fetching contributors…
Cannot retrieve contributors at this time
99 lines (93 sloc) 3.19 KB
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{shodan}
s.version = "0.1.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Postmodern"]
s.date = %q{2010-10-10}
s.description = %q{A Ruby interface to SHODAN, a computer search engine.}
s.email = %q{postmodern.mod3@gmail.com}
s.extra_rdoc_files = [
"ChangeLog.md",
"README.md"
]
s.files = [
".gitignore",
".rspec",
".yardopts",
"COPYING.txt",
"ChangeLog.md",
"Gemfile",
"Gemfile.lock",
"README.md",
"Rakefile",
"lib/shodan.rb",
"lib/shodan/countries.rb",
"lib/shodan/has_pages.rb",
"lib/shodan/host.rb",
"lib/shodan/page.rb",
"lib/shodan/query.rb",
"lib/shodan/shodan.rb",
"lib/shodan/version.rb",
"shodan.gemspec",
"spec/countries_spec.rb",
"spec/has_pages_examples.rb",
"spec/host_spec.rb",
"spec/page_has_hosts_examples.rb",
"spec/page_spec.rb",
"spec/query_spec.rb",
"spec/shodan_spec.rb",
"spec/spec_helper.rb"
]
s.has_rdoc = %q{yard}
s.homepage = %q{http://github.com/postmodern/shodan-ruby}
s.licenses = ["MIT"]
s.require_paths = ["lib"]
s.rubygems_version = %q{1.3.7}
s.summary = %q{A Ruby interface to SHODAN, a computer search engine.}
s.test_files = [
"spec/countries_spec.rb",
"spec/has_pages_examples.rb",
"spec/host_spec.rb",
"spec/page_has_hosts_examples.rb",
"spec/page_spec.rb",
"spec/query_spec.rb",
"spec/shodan_spec.rb",
"spec/spec_helper.rb"
]
if s.respond_to? :specification_version then
current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<uri-query_params>, ["~> 0.4.0"])
s.add_runtime_dependency(%q<mechanize>, ["~> 1.0.0"])
s.add_development_dependency(%q<rake>, ["~> 0.8.7"])
s.add_development_dependency(%q<jeweler>, ["~> 1.5.0.pre"])
s.add_development_dependency(%q<rspec>, ["~> 2.0.0"])
s.add_runtime_dependency(%q<mechanize>, [">= 1.0.0"])
s.add_development_dependency(%q<rspec>, [">= 1.3.0"])
s.add_development_dependency(%q<yard>, [">= 0.5.3"])
else
s.add_dependency(%q<uri-query_params>, ["~> 0.4.0"])
s.add_dependency(%q<mechanize>, ["~> 1.0.0"])
s.add_dependency(%q<rake>, ["~> 0.8.7"])
s.add_dependency(%q<jeweler>, ["~> 1.5.0.pre"])
s.add_dependency(%q<rspec>, ["~> 2.0.0"])
s.add_dependency(%q<mechanize>, [">= 1.0.0"])
s.add_dependency(%q<rspec>, [">= 1.3.0"])
s.add_dependency(%q<yard>, [">= 0.5.3"])
end
else
s.add_dependency(%q<uri-query_params>, ["~> 0.4.0"])
s.add_dependency(%q<mechanize>, ["~> 1.0.0"])
s.add_dependency(%q<rake>, ["~> 0.8.7"])
s.add_dependency(%q<jeweler>, ["~> 1.5.0.pre"])
s.add_dependency(%q<rspec>, ["~> 2.0.0"])
s.add_dependency(%q<mechanize>, [">= 1.0.0"])
s.add_dependency(%q<rspec>, [">= 1.3.0"])
s.add_dependency(%q<yard>, [">= 0.5.3"])
end
end
Something went wrong with that request. Please try again.